Using the Eclipse m2e Checkstyle Extension

Version 1

    Hey all,

     

    If you're working on the SwitchYard project and Eclipse is your IDE of choice, you're more than likely using m2e, which may balk about the checkstyle executions in the project poms.  You may install an extension that will integrate checkstyle into your IDE build process that will check as you go.  Then you start getting a bunch of errors around DoubleCheckedLocking (which was removed from 5.6).

     

    Don't fret, just make sure you install version 5.5 of the checkstyle plugin before adding the m2e extension.  The default update site will get you the 5.6 version, but you can use this to go right to v 5.5: http://sourceforge.net/projects/eclipse-cs/files/updatesite/5.5.0/

     

    Hope that helps.

     

    Rob

     

    This article was generated from the following discussion: Using the Eclipse m2e Checkstyle Extension